class EadBoxHandler {
	static boxapikey = emebeder.boxapikey;

	static boxhandler(callback) {
		if (!this.boxapikey) {
			return;
		}

		let file;
		let boxoptions = {
			clientId: this.boxapikey,
			linkType: "shared",
			multiselect: false
		};

		let boxSelect = new BoxSelect(boxoptions);
		boxSelect.launchPopup();

		boxSelect.success(function (response) {
			let doc = response[0];
			let filesize = 0;
			file = {
				url: doc.url,
				filename: doc.name,
				filesizeHumanReadable: filesize
			};
			callback(file);
		});
	}
}

export default EadBoxHandler;
