import EadHelper from "./helper";

class EadDropboxHandler {
	static drextension = emebeder.drextension;
	static dropboxApi = emebeder.DropboxApi;

	static dropboxhandler(callback) {
		if (!this.dropboxApi) {
			return;
		}

		let file;
		let validext = this.drextension.split(",");

		Dropbox.init({
			appKey: this.dropboxApi
		});

		Dropbox.choose({
			linkType: "preview",
			multiselect: false, // or true
			extensions: validext,
			success: function (files) {
				let drpbox = files[0];
				let dropURL = drpbox.link.replace("dl=0", "dl=1");
				file = {
					url: dropURL,
					filename: drpbox.name,
					filesizeHumanReadable: EadHelper.getHumanReadableFilesize(
						drpbox.bytes
					)
				};
				callback(file);
			}
		});
	}
}

export default EadDropboxHandler;
