class EadOneDriveHandler {
	static onedriveapikey = emebeder.onedriveclientId;

	static onedrivehandler(callback) {
		if (!this.onedriveapikey) {
			return;
		}

		let odOptions = {
			clientId: this.onedriveapikey,
			action: "share",
			multiSelect: false,
			advanced: {
				createLinkParameters: { type: "embed" },
				filter:'.doc,.docx,.pdf,.dotx,.dotm,.xls,.xlsx,.xlsm,.pptx,.ppt',
				redirectUri: emebeder.admin_url
			},
			success: function (response) {
				let data = response.value[0];

				let file = {
					url: data.permissions[0].link.webUrl,
					filename: data.name,
					filesizeHumanReadable: 0
				};
				callback(file);
			},
			error: function(error) {
				console.log(error);
			}
		};
		OneDrive.open(odOptions);
	}
}

export default EadOneDriveHandler;
